summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Marco Ferraioli <marcoferraioli@live.com>2014-12-05 05:11:57 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2014-12-05 05:25:05 +0700
commit096a66dc0cf96a72492b9770cd7ab0adfc1de533 (patch)
treeb612651430281e12843b928f3f1ac4fe02a81e63
parentc4ff37108156a5cc5aaa96426a84810d26baa8bc (diff)
downloadslackbuilds-096a66dc0cf96a72492b9770cd7ab0adfc1de533.tar.gz
slackbuilds-096a66dc0cf96a72492b9770cd7ab0adfc1de533.tar.xz
network/telegram: Added (messaging app).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--network/telegram/README3
-rw-r--r--network/telegram/doinst.sh3
-rw-r--r--network/telegram/slack-desc19
-rw-r--r--network/telegram/telegram.SlackBuild94
-rw-r--r--network/telegram/telegram.desktop10
-rw-r--r--network/telegram/telegram.info10
-rw-r--r--network/telegram/telegram.pngbin0 -> 12399 bytes
7 files changed, 139 insertions, 0 deletions
diff --git a/network/telegram/README b/network/telegram/README
new file mode 100644
index 0000000000..c172ad7279
--- /dev/null
+++ b/network/telegram/README
@@ -0,0 +1,3 @@
+Telegram
+
+Telegram is a cloud-based mobile and desktop messaging app with a focus on security and speed.
diff --git a/network/telegram/doinst.sh b/network/telegram/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/network/telegram/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/network/telegram/slack-desc b/network/telegram/slack-desc
new file mode 100644
index 0000000000..ddd45d5911
--- /dev/null
+++ b/network/telegram/slack-desc
@@ -0,0 +1,19 @@
+ù# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+telegram: telegram (messaging app)
+telegram:
+telegram: telegram is a cloud-based mobile and desktop messaging app
+telegram: with a focus on security and speed.
+telegram:
+telegram: https://telegram.org/
+telegram:
+telegram:
+telegram:
+telegram:
+telegram:
diff --git a/network/telegram/telegram.SlackBuild b/network/telegram/telegram.SlackBuild
new file mode 100644
index 0000000000..020dc87f17
--- /dev/null
+++ b/network/telegram/telegram.SlackBuild
@@ -0,0 +1,94 @@
+#!/bin/sh
+
+# Slackware build script for Telegram
+
+# Marco Ferraioli marcoferraioli@live.com
+
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 3 of the License, or
+# (at your option) any later version, with the following exception:
+# the text of the GPL license may be omitted.
+
+# This program is distributed in the hope that it will be useful, but
+# without any warranty; without even the implied warranty of
+# merchantability or fitness for a particular purpose. Compiling,
+# interpreting, executing or merely reading the text of the program
+# may result in lapses of consciousness and/or very being, up to and
+# including the end of all existence and the Universe as we know it.
+# See the GNU General Public License for more details.
+
+# You may have received a copy of the GNU General Public License along
+# with this program (most likely, a file named COPYING). If not, see
+# <http://www.gnu.org/licenses/>.
+
+PRGNAM=telegram
+VERSION=${VERSION:-0.6.15}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+TARBALL_x86="tsetup32.0.6.15.tar.xz" # Name of 32bit tarball
+TARBALL_x86_64="tsetup.0.6.15.tar.xz" # Name of 64bit tarball
+TARBALL_ROOT="Telegram" # Name of tarballs root directory
+
+# Set LIBDIRSUFFIX and TARBALL.
+if [ "$ARCH" = "x86_64" ]; then
+ LIBDIRSUFFIX="64"
+ TARBALL="$TARBALL_x86_64"
+else
+ LIBDIRSUFFIX=""
+ TARBALL="$TARBALL_x86"
+fi
+
+set -eu
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf "$TARBALL_ROOT"
+tar xvf $CWD/$TARBALL
+cd "$TARBALL_ROOT"
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p $PKG/opt/$PRGNAM
+cp -a * $PKG/opt/$PRGNAM
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/bin
+ln -sf /opt/$PRGNAM/Telegram $PKG/usr/bin
+
+mkdir -p $PKG/usr/share/applications
+cat $CWD/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
+
+mkdir -p $PKG/usr/share/pixmaps
+cp $CWD/$PRGNAM.png $PKG/usr/share/pixmaps
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/telegram/telegram.desktop b/network/telegram/telegram.desktop
new file mode 100644
index 0000000000..224c0c836e
--- /dev/null
+++ b/network/telegram/telegram.desktop
@@ -0,0 +1,10 @@
+[Desktop Entry]
+Name=Telegram
+GenericName=Internet
+Comment=Telegram Desktop Chat Client
+Icon=telegram
+Exec=Telegram
+TryExec=Telegram
+Terminal=false
+Type=Application
+Categories=Internet; Network
diff --git a/network/telegram/telegram.info b/network/telegram/telegram.info
new file mode 100644
index 0000000000..a75b2f4cd2
--- /dev/null
+++ b/network/telegram/telegram.info
@@ -0,0 +1,10 @@
+PRGNAM="telegram"
+VERSION="0.6.15"
+HOMEPAGE="http://telegram.org"
+DOWNLOAD="https://updates.tdesktop.com/tlinux32/tsetup32.0.6.15.tar.xz"
+MD5SUM="6d18c6db7fb57a15af7770f11644dc80"
+DOWNLOAD_x86_64="https://updates.tdesktop.com/tlinux/tsetup.0.6.15.tar.xz"
+MD5SUM_x86_64="2bafe8487a5e91860ed0a3aaa52650bb"
+REQUIRES=""
+MAINTAINER="Marco Ferraioli"
+EMAIL="marcoferraioli@live.com"
diff --git a/network/telegram/telegram.png b/network/telegram/telegram.png
new file mode 100644
index 0000000000..ee0756db5e
--- /dev/null
+++ b/network/telegram/telegram.png
Binary files differ